Uploaded image for project: 'IMPALA'
  1. IMPALA
  2. IMPALA-9768

Provide setting to force development environment to use system python

Agile BoardAttach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: Impala 4.0.0
    • Fix Version/s: Not Applicable
    • Component/s: Infrastructure
    • Labels:
      None
    • Epic Color:
      ghx-label-1

      Description

      Impala recently switched to using Python from the native toolchain for the development environment. On older versions of SLES12 (e.g. SP1), we ran into a problem where the native toolchain python didn't work, because native toolchain uses a newer SLES12 (SP3) that has a different openssl version. We should provide a way to force the development to use system python rather than the native toolchain python. This would allow flexibility on platforms not supported by the native toolchain.

        Attachments

          Activity

            People

            • Assignee:
              laszlog Laszlo Gaal
              Reporter:
              joemcdonnell Joe McDonnell

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment